## policyd-weight 0.1.14.17

=== Makefile ===
all:
clean:
distclean:
install:

## policyd-weight 0.1.15.2

=== debian/changelog ===
policyd-weight (0.1.15.2-13) unstable; urgency=medium

  [ наб ]
  * Team upload.
  * d/NEWS: note src:policyd-removal post-trixie
  * Vcs-Git: https://salsa.debian.org/salvage-team/policyd-weight.git
  * Adopt to Package Salvaging Team <team+salvage@tracker.debian.org>
    Closes: #935388
  * Homepage: use last archive snapshot (Closes: #931228)
  * Standards-Version: 4.7.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Secure URI in copyright format (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/rules (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * watch file standard 4 (routine-update)
  * depends-on-obsolete-package Depends: lsb-base
  * d/rules: dh
  * d/policyd-weight.service: add (Closes: #891789)
  * d/copyright: up-to-date DEP-5 link

  [ Stefan Schmidt ]
  * policyd-weight: http://www.robtex.com/rbl/<ip>.html from message has moved
    (Closes: #964183)

  [ Markus Gschwendt ]
  * policyd-weight: using IPv6 broken in buster (Closes: #933972)

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Mon, 02 Dec 2024 16:54:04 +0100

policyd-weight (0.1.15.2-12.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Tue, 14 Jun 2022 15:15:58 +0200

policyd-weight (0.1.15.2-12) unstable; urgency=low

  * debian/README.Debian
    + updated list of default block lists (Closes: #841944)
  * Removed spelling error in previous changelog entry
  * Removed whitespaces in changelog
  * Updated 04_fix_spelling_man.patch to fix some more spelling errors
    in manpages
  * Updated standards version to 3.9.8
  * Update to debhelper 10

 -- Werner Detter <werner@aloah-from-hell.de>  Sat, 19 Nov 2016 17:29:23 +0100

policyd-weight (0.1.15.2-11) unstable; urgency=low

  * debian/postrm
    + Fix command-with-path-in-maintainer-script
  * debian/init.d
    + Updated LSB header
  * debian/rules
    + Add dh_lintian
  * Add debian/source.lintian-overrides
    + override for debian-watch-may-check-gpg-signature as upstream does
      not provide cryptographic signature
  * Update to debhelper 9
  * Updated 10_replace_net_dns_dn_expand.patch to use official replacement
    Net::DNS::DomainName::decode for Net::DNS::Packet::dn_expand
  * Add 13_fix_default_rhsbl_dnsbl_in_man5.patch which updates default
    dnsbls/rhsbls in man5 manpage
  * Add 14_ignore_rfc1918_a_records_config_option.patch which introduces
    new config option $IGNORE_RFC1918_A. If enabled A records with RFC1918
    addresses aren't treated as bogus addresses by policyd-weight and
    therefore bogus_mx_score is not added. Updated sample configuration
    and man5 manpage (Closes: #799314)
  * Add closing bug in previous changelog entry

 -- Werner Detter <werner@aloah-from-hell.de>  Tue,  1 Dec 2015 23:17:14 +0100

policyd-weight (0.1.15.2-10) unstable; urgency=low

  * Add 12_del_rhsbl.ahbl.org.patch which removes rhsbl.ahbl.org list due
    to service shutdown (Closes: #774772)

 -- Werner Detter <werner@aloah-from-hell.de>  Wed,  7 Jan 2015 07:30:14 +0100

policyd-weight (0.1.15.2-9) unstable; urgency=low

  * Add 11_fix_ipv6_socket_creation.patch which fixes socket creation if local
    dns ip address is IPv6 address (Closes: #763986)
  * Updated standard version to 3.9.6

 -- Werner Detter <werner@aloah-from-hell.de>  Sat,  4 Oct 2014 15:46:19 +0100

policyd-weight (0.1.15.2-8) unstable; urgency=low

  * Add 10_replace_net_dns_dn_expand.patch which replaces Net::DNS::Packet
    function dh_expand() with dh_expand_PP() (Closes: #752845)
  * Fixed description in 09_fix_net_dns_usage.patch

 -- Werner Detter <werner@aloah-from-hell.de>  Sat, 28 Jun 2014 09:28:19 +0100

policyd-weight (0.1.15.2-7) unstable; urgency=low

  * Correct 09_fix_net_dns_usage.patch logic

 -- Werner Detter <werner@aloah-from-hell.de>  Sun, 15 Dec 2013 17:05:19 +0100

policyd-weight (0.1.15.2-6) unstable; urgency=low

  * Updated standards version to 3.9.5
  * debian/control added dependency on libio-socket-inet6-perl
  * debian/init.d removed internal api call /lib/init/vars.sh from init script
  * Add 09_fix_net_dns_usage.patch which fixes infinite loop when dns resolver
    is reachable only via IPv6 (Closes: #726670)

 -- Werner Detter <werner@aloah-from-hell.de>  Sun, 15 Dec 2013 17:05:19 +0100

policyd-weight (0.1.15.2-5) unstable; urgency=high

  * Add 08_del_dnsbl.njabl.org.patch which removes dnsbl.njabl.org list due
    to service shutdown on 2013-03-01 (Closes: #702838)
  * Bumped standard versions to 3.9.4

 -- Werner Detter <werner@aloah-from-hell.de>  Tue, 12 Mar 2013 20:23:14 +0100

policyd-weight (0.1.15.2-4) unstable; urgency=low

  * Add 07_del_rfc-ignorant.org.patch which removes rfc-ignorant.org
    lists due to service shut down on 2012-11-30

 -- Werner Detter <werner@aloah-from-hell.de>  Mon, 17 Sep 2012 09:32:23 +0100

policyd-weight (0.1.15.2-3) unstable; urgency=low

  * Updating standards version to 3.9.3
  * Fixed 02_cacherejectmsg.patch (modify $CACHEREJECTMSG instead
    of $REJECTMSG), thanks to Marcel Meckel (Closes: #598844)

 -- Werner Detter <werner@aloah-from-hell.de>  Sun, 19 Aug 2012 12:20:23 +0100

policyd-weight (0.1.15.2-2) unstable; urgency=low

  * Add 05_fix_issuing_group.patch - use getgrgid() instead of getpwuid()
    for mapping the group id into group name. Thanks to Heiko Schlittermann
    (Closes: #641538)
  * Add 06_del_non_func_ipv6_dnsbl.patch which removes non-functional DNSBL
    rbl.ipv6-world.net
  * Add debian/default
  * Modified init script

 -- Werner Detter <werner@aloah-from-hell.de>  Tue, 24 Jan 2012 16:41:52 +0100

policyd-weight (0.1.15.2-1) unstable; urgency=low

  * New upstream release
    - non functional DNSBL rbl.ipv6-world.net now deactivated by default
      (Closes: #641227)


=== debian/control ===
Source: policyd-weight
Section: mail
Priority: optional
Maintainer: Package Salvaging Team <team+salvage@tracker.debian.org>
Build-Depends: debhelper-compat (= 13)
Homepage: https://web.archive.org/web/20180317115359/http://www.policyd-weight.org:80/
Rules-Requires-Root: no
Standards-Version: 4.7.0
Vcs-Git: https://salsa.debian.org/salvage-team/policyd-weight.git
Vcs-Browser: https://salsa.debian.org/salvage-team/policyd-weight

Package: policyd-weight
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: ${perl:Depends}, ${misc:Depends}, adduser, libnet-dns-perl, libnet-ip-perl, libio-socket-inet6-perl
Recommends: libsys-syslog-perl
Description: Perl policy daemon for the Postfix MTA
 policyd-weight is intended to eliminate forged envelope senders and HELOs
 (i.e. in bogus mails). It allows you to score DNSBLs (RBL/RHSBL), HELO,
 MAIL FROM and client IP addresses before any queuing is done. It allows
 you to REJECT messages which have a score higher than allowed, providing
 improved blocking of spam and virus mails. policyd-weight caches the most
 frequent client/sender combinations (SPAM as well as HAM) to reduce the
 number of DNS queries.

=== debian/rules ===
#!/usr/bin/make -f

override_dh_installchangelogs:
	dh_installchangelogs changes.txt

override_dh_installinit:
	dh_installinit -- defaults 19 21

%:
	dh $@

=== debian/watch ===
version=4
http://www.policyd-weight.org/releases/policyd-weight-(.*)\.tar\.gz
